import { MikroOrmModule } from '@mikro-orm/nestjs';
import { PostgreSqlDriver } from '@mikro-orm/postgresql';
import { Module } from '@nestjs/common';

import { AppController } from './app.controller';
import { AppService } from './app.service';
import { ContentModule } from './modules/content/content.module';
import { UserModule } from './modules/user/user.module';

@Module({
    imports: [
        MikroOrmModule.forRoot({
            host: '127.0.0.1',
            user: 'postgres',
            password: '123456',
            dbName: '3rapp',
            driver: PostgreSqlDriver,
            autoLoadEntities: true,
        }),
        UserModule,
        ContentModule,
    ],
    controllers: [AppController],
    providers: [AppService],
})
export class AppModule {}
